Skip to main content
PATCH
/
v1
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
/
positions
/
{picklistPositionId}
/
pickPosition
Pick Position
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v1/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/pickPosition \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "Quantity": 123,
  "ShelfLifeExpirationDate": "2023-11-07T05:31:56Z",
  "BatchNumber": "<string>",
  "SerialNumbers": [
    "<string>"
  ]
}
'
{
  "Id": 123,
  "WarehouseId": 123,
  "PicklistId": 123,
  "StorageLocationId": 123,
  "ItemId": 123,
  "Quantity": 123,
  "Status": 10,
  "Priority": 123,
  "SalesOrderLineItemId": 123,
  "CreatedAt": "2023-11-07T05:31:56Z",
  "SalesOrderId": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

warehouseId
integer<int32>
required

The id of the wms warehouse.

picklistId
integer<int32>
required

The id of the pick list.

picklistPositionId
integer<int32>
required

The id of the pick list position.

Body

application/json

The relevant information to pick a pick list position.

Model Class: UpdatePickPosition

Quantity
number<decimal>

Quantity to pick.

ShelfLifeExpirationDate
string<date-time>

Shelf life expiration date of the item, if applicable.

BatchNumber
string

Batch number of the item if, the item is a batch item.

SerialNumbers
string[]

Serial numbers of the item. The amount of serial numbers must match the quantity and no serial numbers that are already in stock are allowed.

Response

Returns the updated pick list position.

Model Class: PickListPosition

Id
integer<int32>
required

Id of the pick list position.

WarehouseId
integer<int32>
required

Id of the warehouse.

PicklistId
integer<int32>
required

Id of the pick list.

StorageLocationId
integer<int32>
required

Id of the storage location from where the pick should happen.

ItemId
integer<int32>
required

Id of the item.

Quantity
number<decimal>
required

Quantity to pick.

Status
enum<integer>
required

Status of the position.

Available options:
10,
11,
20,
30,
40
Priority
integer<int32>
required

Priority of the position.

SalesOrderLineItemId
integer<int32>
required

Id of the corresponding order position.

CreatedAt
string<date-time>
required

Time when the pick list was created.

SalesOrderId
integer<int32>
required

Search for a specific sales order Id.